Subject: Re: [PATCH bpf-next] samples/bpf: fix broken bpf programs due to function inlining

From: Muhammad Falak R Wani <[email-masked]>
Date: Tue, 8 Mar 2022 16:13:40 +0530

On Mon, Mar 07, 2022 at 10:11:36PM -0800, Andrii Nakryiko wrote:
> On Sun, Mar 6, 2022 at 4:15 AM Muhammad Falak R Wani
> <[email-masked]> wrote:
> >
> > commit: "be6bfe36db17 block: inline hot paths of blk_account_io_*()"
> > inlines the function `blk_account_io_done`. As a result we can't attach a
> > kprobe to the function anymore. Use `__blk_account_io_done` instead.
> >
> > Signed-off-by: Muhammad Falak R Wani <[email-masked]>
> > ---
> >  samples/bpf/task_fd_query_kern.c | 2 +-
> >  samples/bpf/tracex3_kern.c       | 2 +-
> >  2 files changed, 2 insertions(+), 2 deletions(-)
> >
> > diff --git a/samples/bpf/task_fd_query_kern.c b/samples/bpf/task_fd_query_kern.c
> > index c821294e1774..186ac0a79c0a 100644
> > --- a/samples/bpf/task_fd_query_kern.c
> > +++ b/samples/bpf/task_fd_query_kern.c
> 
> samples/bpf/task_fd_query_user.c also needs adjusting, no? Have you
> tried running those samples?
Aplologies, I ran the `tracex3` program, but missed to verify `task_fd_query`. Should I send a V2
where I modify only the `tracex3` ?